{ pkgs, ... }:
{
  dconf.settings."org/gnome/desktop/interface" = {
    color-scheme = "prefer-dark";
    #gtk-theme = "Adwaita";
  };

  # https://github.com/NixOS/nixpkgs/issues/274554#issuecomment-1932302164
  gtk = {
    colorScheme = "dark";
    enable = true;

    gtk3 = {
      colorScheme = "dark";
      extraConfig.gtk-application-prefer-dark-theme = 1;
    };

    gtk4 = {
      colorScheme = "dark";
      extraConfig.gtk-application-prefer-dark-theme = 1;
      theme = null; # https://github.com/nix-community/home-manager/issues/7113#issuecomment-3556166692
    };

    #iconTheme = {
    #  name = "Adwaita";
    #  package = pkgs.adwaita-icon-theme;
    #};

    #theme = {
    #  name = "Adwaita";
    #  package = pkgs.gnome-themes-extra;
    #};
  };
}
